package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseRequest;
import ${basePackage}.frame.validation.Dict;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * UserCreateRequest - 用户新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserCreateRequest extends BaseRequest {

    /**
     * 用户账户
     */
    @NotBlank(message = "[userName]用户账户不能为空")
    @Length(min = 0, max = 100, message = "[userName]用户账户长度不合法(0-100)")
    private String userName;

    /**
     * 用户代码
     */
    @Length(min = 0, max = 50, message = "[userCode]用户代码长度不合法(0-50)")
    private String userCode;

    /**
     * 用户别名
     */
    @NotBlank(message = "[userAlias]用户别名不能为空")
    @Length(min = 0, max = 50, message = "[userAlias]用户别名长度不合法(0-50)")
    private String userAlias;

    /**
     * 用户密码
     */
    @NotBlank(message = "[userPwd]用户密码不能为空")
    @Length(min = 0, max = 50, message = "[userPwd]用户密码长度不合法(0-50)")
    private String userPwd;

    /**
     * 用户状态
     */
    @NotNull(message = "[userStatus]用户状态不能为NULL")
    @Dict(name = "USER_STATUS")
    private String userStatus;

    /**
     * 部门代码
     */
    @NotBlank(message = "[deptCode]部门代码不能为空")
    @Length(min = 0, max = 50, message = "[deptCode]部门代码长度不合法(0-50)")
    private String deptCode;

    private List<String> roleCodeList;

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserCode() {
        return this.userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserAlias() {
        return this.userAlias;
    }

    public void setUserAlias(String userAlias) {
        this.userAlias = userAlias;
    }

    public String getUserPwd() {
        return this.userPwd;
    }

    public void setUserPwd(String userPwd) {
        this.userPwd = userPwd;
    }

    public String getUserStatus() {
        return this.userStatus;
    }

    public void setUserStatus(String userStatus) {
        this.userStatus = userStatus;
    }

    public String getDeptCode() {
        return this.deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public List<String> getRoleCodeList() {
        return roleCodeList;
    }

    public void setRoleCodeList(List<String> roleCodeList) {
        this.roleCodeList = roleCodeList;
    }
}
